/// <reference types="node" />
/// <reference types="node" />
import { SpawnSyncReturns } from 'child_process';
import { CommitTaskDesc, CommitMsgTaskDesc, ReleaseTaskDesc, PrecommitTaskDesc } from '../SharedTypes';
export declare function getLintStagedConfig(): string | null;
export declare function precommitTask(task: PrecommitTaskDesc): Promise<string[]>;
export declare function lintStaged(task: PrecommitTaskDesc): Promise<string>;
export declare function commitTask(task: CommitTaskDesc): void;
export declare function commitMsgTask(task: CommitMsgTaskDesc): SpawnSyncReturns<Buffer>;
export declare function releaseTask(task: ReleaseTaskDesc): SpawnSyncReturns<Buffer>;
//# sourceMappingURL=CommitTasks.d.ts.map